{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"common.CurrentTask":{"type":"object","description":"Asynchronous operation currently running","properties":{"errors":{"type":"array","description":"Errors that occurred on the task","nullable":true,"items":{"$ref":"#/components/schemas/common.TaskError"},"readOnly":true},"id":{"type":"string","description":"Identifier of the current task","format":"uuid","readOnly":true},"link":{"type":"string","description":"Link to the task details","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.CurrentTaskStatusEnum"}],"description":"Current global status of the current task","nullable":true,"readOnly":true},"type":{"type":"string","description":"Type of the current task","readOnly":true}}},"common.CurrentTaskStatusEnum":{"type":"string","description":"Current status of a task. A task in ERROR cannot be retried without your inputs. PENDING tasks will be executed as soon as possible. A RUNNING task is currently executing your original request. SCHEDULED is used for tasks that will be executed in the future.","enum":["ERROR","PENDING","RUNNING","SCHEDULED","WAITING_USER_INPUT"]},"common.ResourceStatusEnum":{"type":"string","description":"Current status of a resource","enum":["CREATING","CREATION_PLANNED","DELETING","ERROR","OUT_OF_SYNC","READY","SUSPENDED","UNKNOWN","UPDATING"]},"common.TaskError":{"type":"object","description":"Errors that occurred on the task","properties":{"message":{"type":"string","description":"Error description","readOnly":true}}},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"iam.ResourceMetadata":{"type":"object","description":"IAM resource metadata embedded in services models","properties":{"displayName":{"type":"string","description":"Resource display name","nullable":true,"readOnly":true},"id":{"type":"string","description":"Unique identifier of the resource","format":"uuid","readOnly":true},"state":{"allOf":[{"$ref":"#/components/schemas/iam.ResourceMetadata.StateEnum"}],"description":"Resource state","nullable":true,"readOnly":true},"tags":{"type":"object","description":"Resource tags. Tags that were internally computed are prefixed with ovh:","nullable":true,"additionalProperties":{"type":"string"},"readOnly":true},"urn":{"type":"string","description":"Unique resource name used in policies","readOnly":true}}},"iam.ResourceMetadata.StateEnum":{"type":"string","description":"Resource state","enum":["EXPIRED","IN_CREATION","OK","SUSPENDED"]},"iam.resource.TagFilter":{"type":"object","description":"Resource tag filter","properties":{"operator":{"allOf":[{"$ref":"#/components/schemas/iam.resource.TagFilter.OperatorEnum"}],"description":"Operator to use in order to filter on the value. Defaults to `EQ`.","nullable":true,"readOnly":true},"value":{"type":"string","description":"Value to use in order to filter tags","readOnly":true}}},"iam.resource.TagFilter.OperatorEnum":{"type":"string","description":"Operator that can be used in order to filter resources tags","enum":["EQ","EXISTS","ILIKE","LIKE","NEQ","NEXISTS"]},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"managedCMS.ApplicationPassword":{"type":"object","description":"Application password created on a website or a dashboard. The password is not stored and cannot be retrieved again.","properties":{"login":{"type":"string","description":"Login of the user the application password belongs to","readOnly":true},"password":{"type":"string","description":"Application password to authenticate as `login` on the CMS API, returned only in this response","format":"password","readOnly":true}}},"managedCMS.CMSEnum":{"type":"string","description":"Available content management systems","enum":["WORDPRESS"]},"managedCMS.CustomerApproval":{"type":"object","description":"Customer approval given for an operation on a target resource","properties":{"approvalCode":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CustomerApprovalCodeEnum"}],"description":"Code identifying the operation the customer approves","readOnly":true},"approved":{"type":"boolean","description":"Whether the customer approved the operation","readOnly":true},"createdAt":{"type":"string","description":"Date when the customer approval was registered","format":"date-time","readOnly":true},"id":{"type":"string","description":"Unique identifier of the customer approval","format":"uuid","readOnly":true},"resourceId":{"type":"string","description":"Identifier of the resource the approval targets","readOnly":true},"resourceType":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CustomerApprovalResourceTypeEnum"}],"description":"Type of the resource the approval targets","readOnly":true}}},"managedCMS.CustomerApprovalCodeEnum":{"type":"string","description":"Customer approval code enum","enum":["TECH_ACCESS_DISCLAIMER"]},"managedCMS.CustomerApprovalPostPayload":{"type":"object","description":"Customer approval post payload","properties":{"approvalCode":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CustomerApprovalCodeEnum"}],"description":"Code identifying the operation the customer approves"},"approved":{"type":"boolean","description":"Whether the customer approves the operation"},"resourceId":{"type":"string","description":"Identifier of the resource the approval targets"},"resourceType":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CustomerApprovalResourceTypeEnum"}],"description":"Type of the resource the approval targets"}},"required":["approvalCode","approved","resourceId","resourceType"]},"managedCMS.CustomerApprovalResourceTypeEnum":{"type":"string","description":"Customer approval resource type enum","enum":["RESOURCE"]},"managedCMS.DashboardApplicationPasswordCreation":{"type":"object","description":"Body to create an application password on a dashboard of a service","properties":{"cms":{"allOf":[{"$ref":"#/components/schemas/managedCMS.CMSEnum"}],"description":"CMS of the dashboard"}},"required":["cms"]},"managedCMS.Language":{"type":"object","description":"A language a CMS can be configured with","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/managedCMS.LanguageEnum"}],"description":"Code to send when setting the language of a CMS","readOnly":true},"name":{"type":"string","description":"Name of the language as displayed in the interfaces","readOnly":true}}},"managedCMS.LanguageEnum":{"type":"string","description":"Available languages for websites","enum":["de_DE","en_GB","en_US","es_ES","fr_CA","fr_FR","it_IT","pl_PL","pt_PT"]},"managedCMS.Service":{"type":"object","description":"A Managed CMS service","properties":{"checksum":{"type":"string","description":"Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/managedCMS.ServiceCurrentState"}],"description":"Current state of the service","readOnly":true},"currentTasks":{"type":"array","description":"Ongoing asynchronous tasks related to the service","items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"id":{"type":"string","description":"Unique identifier of the service","format":"uuid","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/common.ResourceStatusEnum"}],"description":"Service readiness in the system","readOnly":true}}},"managedCMS.ServiceCurrentState":{"type":"object","description":"Current state of a Managed CMS service","properties":{"createdAt":{"type":"string","description":"Date of creation of the service","format":"date-time","readOnly":true},"dashboards":{"allOf":[{"$ref":"#/components/schemas/managedCMS.ServiceDashboards"}],"description":"URLs of the service's dashboards","readOnly":true},"plan":{"type":"string","description":"Plan of the subscription","readOnly":true},"quotas":{"allOf":[{"$ref":"#/components/schemas/managedCMS.ServiceQuotas"}],"description":"Information about the service's quotas","readOnly":true}}},"managedCMS.ServiceDashboards":{"type":"object","description":"URLs of a service's dashboards","properties":{"wordpress":{"type":"string","description":"URL of the dashboard allowing to manage WordPress websites","nullable":true,"readOnly":true}}},"managedCMS.ServiceDiskQuota":{"type":"object","description":"Information about a service's disk quota","properties":{"additionalQuotaBytes":{"type":"integer","description":"Disk quota offered by the service's disk quota add-on, if exists, in bytes","readOnly":true},"planQuotaBytes":{"type":"integer","description":"Disk quota offered by the service's plan in bytes","readOnly":true},"totalQuotaBytes":{"type":"integer","description":"Total disk quota of the service in bytes","readOnly":true},"totalUsageBytes":{"type":"integer","description":"Total current disk usage of the service's websites in bytes","readOnly":true}}},"managedCMS.ServiceEditionBody":{"type":"object","description":"Body to edit a service","properties":{"targetSpec":{"allOf":[{"$ref":"#/components/schemas/managedCMS.ServiceEditionTargetSpec"}],"description":"Target specification to edit a service"}}},"managedCMS.ServiceEditionTargetSpec":{"type":"object","description":"Target specification to edit a service","properties":{"flushCDNDate":{"type":"string","description":"Modify this to trigger a flush of CDN of all websites attached to the service","nullable":true,"format":"date-time"}}},"managedCMS.ServiceQuotas":{"type":"object","description":"Information about a service's quotas","properties":{"disk":{"allOf":[{"$ref":"#/components/schemas/managedCMS.ServiceDiskQuota"}],"description":"Information about the service's disk quota","readOnly":true},"visits":{"allOf":[{"$ref":"#/components/schemas/managedCMS.ServiceVisitsQuota"}],"description":"Information about the service's visits quota","readOnly":true},"websites":{"allOf":[{"$ref":"#/components/schemas/managedCMS.ServiceWebsitesQuota"}],"description":"Information about the service's websites quota","readOnly":true}}},"managedCMS.ServiceVisitsQuota":{"type":"object","description":"Information about a service's visits quota","properties":{"boosts":{"type":"array","description":"List of visits boost currently existing on the service","items":{"$ref":"#/components/schemas/managedCMS.VisitsBoost"},"readOnly":true},"planQuota":{"type":"integer","description":"Monthly visits quota offered by the service's plan","readOnly":true},"totalAdditionalQuota":{"type":"integer","description":"Total additional monthly visits quota offered by the service's visits boosts","readOnly":true},"totalQuota":{"type":"integer","description":"Total monthly visits quota of the service, including additional quota","readOnly":true},"totalUsage":{"type":"integer","description":"Total visits on the service's websites during the current month","nullable":true,"readOnly":true}}},"managedCMS.ServiceWebsitesQuota":{"type":"object","description":"Information about a service's websites quota","properties":{"additionalQuota":{"type":"integer","description":"Websites quota offered by the service's websites quota add-on, if exists","readOnly":true},"planQuota":{"type":"integer","description":"Websites quota offered by the service's plan","readOnly":true},"totalQuota":{"type":"integer","description":"Total websites quota of the service","readOnly":true},"totalUsage":{"type":"integer","description":"Number of the websites currently existing on the service","readOnly":true}}},"managedCMS.ServiceWithIAM":{"type":"object","description":"A Managed CMS service","properties":{"checksum":{"type":"string","description":"Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/managedCMS.ServiceCurrentState"}],"description":"Current state of the service","readOnly":true},"currentTasks":{"type":"array","description":"Ongoing asynchronous tasks related to the service","items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"iam":{"allOf":[{"$ref":"#/components/schemas/iam.ResourceMetadata"}],"description":"IAM resource metadata","nullable":true,"readOnly":true},"id":{"type":"string","description":"Unique identifier of the service","format":"uuid","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/common.ResourceStatusEnum"}],"description":"Service readiness in the system","readOnly":true}}},"managedCMS.VisitsBoost":{"type":"object","description":"Information about a visits boost","properties":{"createdAt":{"type":"string","description":"Date of creation of the boost","format":"date-time","readOnly":true},"currentAmount":{"type":"integer","description":"Current remaining amount of visits offered by the boost","readOnly":true},"expiresAt":{"type":"string","description":"Date of expiration of the boost","format":"date-time","readOnly":true},"initialAmount":{"type":"integer","description":"Initial amount of visits offered by the boost","readOnly":true}}},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/managedCMS/customerApproval":{"get":{"operationId":"getAllManagedCmsCustomerApprovals","summary":"List customer approvals","description":"Returns the customer approvals of the account. Filter them by approval code, resource type or resource ID.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"query","name":"approvalCode","description":"Code identifying the operation the customer approves","schema":{"$ref":"#/components/schemas/managedCMS.CustomerApprovalCodeEnum"}},{"in":"query","name":"resourceId","description":"Identifier of the resource the approval targets","schema":{"type":"string"}},{"in":"query","name":"resourceType","description":"Type of the resource the approval targets","schema":{"$ref":"#/components/schemas/managedCMS.CustomerApprovalResourceTypeEnum"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/managedCMS.CustomerApproval"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress@@@80"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/managedCMS/customerApproval\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/managedCMS/customerApproval\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"account:apiovh:managedCMS/customerApproval/get","required":true}],"x-response-identifier":"id","x-expanded-response":"ManagedCMSCustomerApproval"},"post":{"operationId":"createManagedCmsCustomerApproval","summary":"Register a customer approval","description":"Registers whether the customer approves an operation on a resource.","security":[{"oAuth2AuthCode":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.CustomerApprovalPostPayload"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.CustomerApproval"}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress@@@100"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: managedCMS.CustomerApprovalPostPayload\nresult = client.post(\"/v2/managedCMS/customerApproval\",\n\tapprovalCode = None, # Code identifying the operation the customer approves (type: managedCMS.CustomerApprovalCodeEnum)\n\tapproved = None, # Whether the customer approves the operation (type: boolean)\n\tresourceId = None, # Identifier of the resource the approval targets (type: string)\n\tresourceType = None, # Type of the resource the approval targets (type: managedCMS.CustomerApprovalResourceTypeEnum)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: managedCMS.CustomerApprovalPostPayload\n$result = $ovh->post(\"/v2/managedCMS/customerApproval\", array(\n\tapprovalCode => null, // Code identifying the operation the customer approves (type: managedCMS.CustomerApprovalCodeEnum)\n\tapproved => null, // Whether the customer approves the operation (type: boolean)\n\tresourceId => null, // Identifier of the resource the approval targets (type: string)\n\tresourceType => null, // Type of the resource the approval targets (type: managedCMS.CustomerApprovalResourceTypeEnum)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"account:apiovh:managedCMS/customerApproval/create","required":true}]}},"/managedCMS/customerApproval/{customerApprovalId}":{"get":{"operationId":"getManagedCmsCustomerApproval","summary":"Get a customer approval","description":"Returns the approved operation, the target resource, the decision and the registration date.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"customerApprovalId","description":"Customer approval ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.CustomerApproval"}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress@@@90"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/managedCMS/customerApproval/{customerApprovalId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/managedCMS/customerApproval/{customerApprovalId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"account:apiovh:managedCMS/customerApproval/get","required":true}],"x-response-identifier":"id"}},"/managedCMS/reference/availableCMS":{"get":{"operationId":"getManagedCmsAvailableCms","summary":"List available CMS","description":"Returns the content management systems a website can be created with.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/managedCMS.CMSEnum"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress@@@20"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/managedCMS/reference/availableCMS\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/managedCMS/reference/availableCMS\");\n\nprint_r($result);\n?>"}]}},"/managedCMS/reference/availableLanguages":{"get":{"operationId":"getManagedCmsAvailableLanguages","summary":"List available languages","description":"Returns the languages a website can be configured with at creation, with their display name. Filter them by CMS.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"query","name":"cms","description":"For which content management system","required":true,"schema":{"$ref":"#/components/schemas/managedCMS.CMSEnum"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/managedCMS.Language"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress@@@30"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/managedCMS/reference/availableLanguages\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/managedCMS/reference/availableLanguages\");\n\nprint_r($result);\n?>"}]}},"/managedCMS/reference/supportedPHPVersions":{"get":{"operationId":"getManagedCmsSupportedPhpVersions","summary":"List supported PHP versions","description":"Returns the PHP versions a website can use. Filter them by CMS.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"query","name":"cms","description":"For which content management system","required":true,"schema":{"$ref":"#/components/schemas/managedCMS.CMSEnum"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress@@@40"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/managedCMS/reference/supportedPHPVersions\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/managedCMS/reference/supportedPHPVersions\");\n\nprint_r($result);\n?>"}]}},"/managedCMS/resource":{"get":{"operationId":"getAllManagedCmsServices","summary":"List services","description":"Returns the Managed CMS services of the account.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"query","name":"iamTags","description":"Filter resources on IAM tags","schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/iam.resource.TagFilter"}}}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/managedCMS.ServiceWithIAM"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress@@@10"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/managedCMS/resource\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/managedCMS/resource\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:get","required":true}],"x-expanded-response":"ManagedCMSServiceWithIAM"}},"/managedCMS/resource/{serviceId}":{"get":{"operationId":"getManagedCmsService","summary":"Get a service","description":"Returns the plan, dashboard URLs and disk, visits and websites quotas of the service, with its running tasks.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.ServiceWithIAM"}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress@@@50"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/managedCMS/resource/{serviceId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/managedCMS/resource/{serviceId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:get","required":true}]},"put":{"operationId":"editManagedCmsService","summary":"Update a service","description":"Updates the service. Set flushCDNDate to a new date to flush the CDN of all its websites.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.ServiceEditionBody"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.Service"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::CurrentTaskAlreadyExists":{"value":{"class":"Client::Conflict::CurrentTaskAlreadyExists","message":"A similar task is already running, please wait for it to be finished before retrying"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress@@@70"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: managedCMS.ServiceEditionBody\nresult = client.put(\"/v2/managedCMS/resource/{serviceId}\",\n\ttargetSpec = None, # Target specification to edit a service (type: managedCMS.ServiceEditionTargetSpec)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: managedCMS.ServiceEditionBody\n$result = $ovh->put(\"/v2/managedCMS/resource/{serviceId}\", array(\n\ttargetSpec => null, // Target specification to edit a service (type: managedCMS.ServiceEditionTargetSpec)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:edit","required":true}]}},"/managedCMS/resource/{serviceId}/dashboard/applicationPassword":{"post":{"operationId":"createManagedCmsDashboardApplicationPassword","summary":"Create an application password on a dashboard of the service","description":"Each call creates a new application password on the existing administrator user. The previous ones stay valid. They can be revoked from the CMS administration.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.DashboardApplicationPasswordCreation"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/managedCMS.ApplicationPassword"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}},"Client::BadRequest::WrongWebsiteStatus":{"value":{"class":"Client::BadRequest::WrongWebsiteStatus","message":"The website is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::DashboardNotFound":{"value":{"class":"Client::NotFound::DashboardNotFound","message":"Service dashboard was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress@@@90"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: managedCMS.DashboardApplicationPasswordCreation\nresult = client.post(\"/v2/managedCMS/resource/{serviceId}/dashboard/applicationPassword\",\n\tcms = None, # CMS of the dashboard (type: managedCMS.CMSEnum)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: managedCMS.DashboardApplicationPasswordCreation\n$result = $ovh->post(\"/v2/managedCMS/resource/{serviceId}/dashboard/applicationPassword\", array(\n\tcms => null, // CMS of the dashboard (type: managedCMS.CMSEnum)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:dashboard/applicationPassword/create","required":true}]}},"/managedCMS/resource/{serviceId}/flushCDN":{"post":{"operationId":"flushManagedCmsServiceCdn","summary":"Flush the CDN of all websites","description":"Flushes the CDN cache of all the websites of the service and returns the task. Fails if a task is already running on the service.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common.CurrentTask"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::WrongServiceStatus":{"value":{"class":"Client::BadRequest::WrongServiceStatus","message":"The service is not in a suitable status to perform this action, please wait for other on-going tasks to be finished before retrying"}}}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::CurrentTaskAlreadyExists":{"value":{"class":"Client::Conflict::CurrentTaskAlreadyExists","message":"A similar task is already running, please wait for it to be finished before retrying"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Managed WordPress@@@60"]],"x-badges":[{"color":"blue","label":"Alpha version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/v2/managedCMS/resource/{serviceId}/flushCDN\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/v2/managedCMS/resource/{serviceId}/flushCDN\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"managedCMS:apiovh:cdn/flush","required":true}]}}}}
